# Uses of Class
org.opensaml.security.criteria.KeyLengthCriterion

Packages that use KeyLengthCriterion
Package
Description
org.opensaml.security.credential.criteria.impl
Implementations of `Criterion` where the parameterized evaluation target type is `Credential`.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of KeyLengthCriterion in org.opensaml.security.credential.criteria.impl

Constructors in org.opensaml.security.credential.criteria.impl with parameters of type KeyLengthCriterion
Modifier
Constructor
Description
``
`EvaluableKeyLengthCredentialCriterion(KeyLengthCriterion criteria)`
Constructor.

## Uses of KeyLengthCriterion in org.opensaml.xmlsec.encryption.support

Methods in org.opensaml.xmlsec.encryption.support that return KeyLengthCriterion
Modifier and Type
Method
Description
`private KeyLengthCriterion`
Decrypter.`buildKeyLengthCriteria(String encAlgorithmURI)`
Dynamically construct key length credential criteria based on the specified algorithm URI.